<lib-table
	#table
	[columnsToDisplay]="displayedColumns"
	[autoColumns]="autoColumns"
	[pageSizeOptions]="[10, 20, 50, 100]"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[0]"
	filterLabel="{{ 'transl.simple.filter' | translate }}"
>
	<ng-container matColumnDef="type">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.type' | translate }}</th>
		<td mat-cell *matCellDef="let item">{{ 'transl.account.type.' + item.type | translate }} </td>
	</ng-container>
	<ng-container matColumnDef="properties">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.properties' | translate }}</th>
		<td mat-cell *matCellDef="let item">
			<mat-icon *ngIf="item.internal" matTooltip="{{ 'transl.simple.internalAccount' | translate }}">business</mat-icon>
			<mat-icon *ngIf="item.autoImport" matTooltip="{{ 'transl.simple.autoImportEnabled' | translate }}">schedule</mat-icon>
		</td>
	</ng-container>

	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' }}</th>
		<td mat-cell *matCellDef="let item">
			<button
				mat-icon-button
				aria-label="Edit"
				color="primary"
				matTooltip="{{ 'transl.simple.edit' | translate }}"
				(click)="tenantService.navigateToTenant(['accounts', item._id])"
			>
				<mat-icon>edit</mat-icon>
			</button>
			<button mat-icon-button aria-label="Delete" color="warn" matTooltip="{{ 'transl.simple.delete' | translate }}" (click)="delete(item)">
				<mat-icon>delete</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" (click)="tenantService.navigateToTenant(['accounts', 'create'])">
	<mat-icon>add</mat-icon>
</button>
